Bug 488729 - gnome-panel-2.25.92-1.fc11.x86_64 requires gnome-session-xsession-2.25.92-1.fc11.i586 ????
gnome-panel-2.25.92-1.fc11.x86_64 requires gnome-session-xsession-2.25.92-1.f...
Status: CLOSED DUPLICATE of bug 488733
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 09:24 EST by Tom London
Modified: 2009-03-06 09:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 09:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-03-05 09:24:52 EST
Description of problem:
Notice this on my "100% pure" x86_64 system:

[root@tlondon ~]# rpm -qa | grep 'i[356]86'
gnome-session-xsession-2.25.92-1.fc11.i586
[root@tlondon ~]# 
[root@tlondon ~]# rpm -e gnome-session-xsession-2.25.92-1.fc11.i586
error: Failed dependencies:
	gnome-session-xsession is needed by (installed) gnome-panel-2.25.92-1.fc11.x86_64
[root@tlondon ~]# 

Guess its not 100%.... ;)


Version-Release number of selected component (if applicable):
gnome-panel-2.25.92-1.fc11.x86_64

How reproducible:
Yup

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-03-05 09:27:20 EST
Manually installing the x86_64 package and then manually removing the i586 package seems to work....

[root@tlondon ~]# yum install gnome-session-xsession.x86_64
Loaded plugins: dellsysidplugin2, fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * rawhide: mirrors.kernel.org
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package gnome-session-xsession.x86_64 0:2.25.92-1.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch        Version              Repository   Size
================================================================================
Installing:
 gnome-session-xsession      x86_64      2.25.92-1.fc11       11koji       25 k

Transaction Summary
================================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 25 k
Is this ok [y/N]: y
Downloading Packages:
gnome-session-xsession-2.25.92-1.fc11.x86_64.rpm         |  25 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : gnome-session-xsession                                   1/1 

Installed:
  gnome-session-xsession.x86_64 0:2.25.92-1.fc11                                

Complete!
[root@tlondon ~]# rpm -e gnome-session-xsession-2.25.92-1.fc11.i586
[root@tlondon ~]#
Comment 2 Tom London 2009-03-05 09:38:36 EST
Not sure, but this may be (at least partially) an issue with yum, or my local setup.

I have both x86_64 and x86 repos enabled.  Perhaps yum confusion...?

Turning off the x86 repo seems to change the behavior of 'yum update anaconda\*'.

With the x86 repos enabled, it finds anaconda.i586:

--> Running transaction check
---> Package NetworkManager.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package NetworkManager-glib.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package NetworkManager-gnome.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package NetworkManager-vpnc.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package anaconda.i586 0:11.5.0.24-3 set to be updated


With x86 repo disabled:

--> Running transaction check
---> Package NetworkManager.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package NetworkManager-glib.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package NetworkManager-gnome.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package NetworkManager-vpnc.x86_64 1:0.7.0.99-1.fc11 set to be updated
---> Package anaconda.x86_64 0:11.5.0.24-3 set to be updated
Comment 3 Tom London 2009-03-05 09:52:42 EST
Yum issue BZ'ed here: https://bugzilla.redhat.com/show_bug.cgi?id=488733

I'm guessing that yum pulled in the .i586 package during an earlier update.
Comment 4 Tom London 2009-03-06 09:40:13 EST
Looks like "NOTABUG" yum behavior is to pull in multiple architecture packages on obsoletes.

I'm guessing gnome-session-xsession.i586 got pulled in that way.

I'm also no longer enabling both 32 and 64 bit repos.

Marking this a a DUP of https://bugzilla.redhat.com/show_bug.cgi?id=488733

*** This bug has been marked as a duplicate of bug 488733 ***

Note You need to log in before you can comment on or make changes to this bug.